View Issue Details

IDProjectCategoryLast Update
0012606Bionic Dues[All Projects] Graphical BugSep 25, 2013 1:38 am
ReporterArnosAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.919 
Fixed in Version0.921 
Summary0012606: How much can shields regenerate
DescriptionI'm a bit vague on how much shields can regenerate, maybe a lighter blue bar next to each exos normal Shield bar would help?
TagsNo tags attached.
Internal WeightFor New Player Experience

Activities

keith.lamothe

Sep 24, 2013 3:16 am

administrator   ~0033999

FYI a discussion for finding a more general solution to this problem (having the UI be reasonable about Regen) is ongoing here:

http://www.arcengames.com/forums/index.php/topic,13933.0.html

So resolving this mantis record is pending that.

keith.lamothe

Sep 25, 2013 1:38 am

administrator   ~0034023

For 0.921:

* Regen rework, due to the previous model being too difficult to really represent in the UI:
** Instead of a 5-number "regen window" that slides every time you take a hit or get a regen pulse, your exo now just remembers damage taken up to your Regen stat's value.
** Instead of each turn healing your full regen stat's value against anything in that 5-number window, now each turn it heals 1/5th of your regen stat each turn, until the "remembered damage" hits zero.
** Your exo healthbars on the left sidebar in a mission now show a white extension for any part of that exo's shields that has been lost but will regen if you don't take any more damage (and amended the tooltip for those buttons with the actual amount of damage that would regen, if > 0).

Thanks everyone :)

Issue History

Date Modified Username Field Change
Sep 20, 2013 8:54 pm Arnos New Issue
Sep 23, 2013 8:15 am tigersfan Internal Weight => For New Player Experience
Sep 23, 2013 8:15 am tigersfan Assigned To => x4000Bughunter
Sep 23, 2013 8:15 am tigersfan Status new => assigned
Sep 23, 2013 8:57 am x4000Bughunter Assigned To x4000Bughunter => keith.lamothe
Sep 24, 2013 3:16 am keith.lamothe Note Added: 0033999
Sep 24, 2013 3:16 am keith.lamothe Status assigned => feedback
Sep 25, 2013 1:38 am keith.lamothe Note Added: 0034023
Sep 25, 2013 1:38 am keith.lamothe Status feedback => resolved
Sep 25, 2013 1:38 am keith.lamothe Fixed in Version => 0.921
Sep 25, 2013 1:38 am keith.lamothe Resolution open => fixed
Apr 14, 2014 9:29 am x4000Bughunter Category Bug - Graphical Issue => Graphical Bug